mr-editor {
    display: block;

    .editor-container {
        position: relative;
        text-align: left;
        background: #f9f9f9;
        padding: 10px;
        border-radius: 5px;
        box-shadow: $inset-box-shadow;
        margin-bottom: 20px;

        .toolbar {
            background: white;
            box-shadow: $box-shadow;
            align-items: center;
            margin-bottom: 20px;
            border-top-left-radius: 5px;
            border-top-right-radius: 5px;
            display: flex;
            flex-wrap: wrap;

            &.rendered {
                display: flex;
            }

            &.show {
                opacity: 1;
            }

        }

        button {
            @include flex(inline-flex, center, center);
            min-width: unset;
            background: transparent;
            border: none;
            border-left: 2px solid #f9f9f9;
            border-radius: 0;
            font-size: .9rem;
            height: 100%;
            min-width: 55px;
            transition: .3s;
            vertical-align: middle;
            padding: 10px 0;
            font-weight: bold;

            i {
                font-size: 1.3rem;
            }

            u, s, em {
                font-weight: normal;
            }

            &:first-of-type {
                border-left: none;
            }

            &:not([disabled]):hover {
                color: $primary;
            }

            &.last {
                margin-left: auto;
            }

            &.add-file {

                i {
                    transition: 1s;
                }

            }

            &.flash {
                i {
                    color: $primary;
                    transform: rotate(360deg);
                }
            }
        }

        .placeholder {
            position: absolute;
            left: 10px;
            color: #ccc;
            font-style: italic;
            margin: 0;

            &.hidden {
                display: none;
            }
        }

        .content {
            width: 100%;

            &:focus {
                outline: none;
            }

            p {
                margin-top: 0;
            }

            h2 {
                margin-bottom: 20px;
            }

            h3 {
                margin-bottom: 10px;
            }

            a {
                cursor: pointer;
                border-radius: 3px 3px 0 0;
                transition: .2s;
                border-bottom: 1px dashed $primary;

                &:hover {
                    padding: 0 5px;
                    background: $primary-light;
                }

                &:hover::after {
                    content: "\f304";
                    font-family: 'Line Awesome Free';
                    font-weight: 900;
                    font-size: .8rem;
                    margin-left: 2px;
                }
            }
        }
    }
}

mr-editor-readonly {
    display: block;
}
